package com.sakurarealm.playerrisk;

import com.palmergames.bukkit.towny.event.PlayerEnterTownEvent;
import com.palmergames.bukkit.towny.event.PlayerLeaveTownEvent;
import org.apache.commons.lang.NotImplementedException;
import org.bukkit.event.entity.PlayerDeathEvent;

public class Listener implements org.bukkit.event.Listener {
    /**
     * TODO: 当玩家进入城镇时, 危险度不再增加.
     *
     * @param event The PlayerEnterTownEvent.
     */
    public void onPlayerEnterTown(PlayerEnterTownEvent event) {
        throw new NotImplementedException("Not implemented yet.");
    }

    /**
     * TODO: 当玩家离开城镇时, 危险度开始增加.
     *
     * @param event The PlayerLeaveTownEvent.
     */
    public void onPlayerLeaveTown(PlayerLeaveTownEvent event) {
        throw new NotImplementedException("Not implemented yet.");
    }

    /**
     * TODO: 当玩家死亡时, 危险度重置.
     *
     * @param event The PlayerDeathEvent.
     */
    public void onPlayerDeath(PlayerDeathEvent event) {
        throw new NotImplementedException("Not implemented yet.");
    }

    // TODO: Add any other event handlers needed to manage player risk.
}
